* REMSTORE.CMD
* RLS
* MAR 1986
ERASE
RESTORE FROM GRAPHICS ADDITIVE
@ 1,0 SAY gr:on
@ 1,1 SAY gr:ltc + gr:line
@ 2,1 SAY gr:vert
@ 3,1 SAY gr:vert
@ 4,1 SAY gr:vert
@ 5,1 SAY gr:vert
@ 6,1 SAY gr:vert
@ 7,1 SAY gr:lbc+gr:line
@ 7,79 SAY gr:rbc
@ 6,79 SAY gr:vert
@ 5,79 SAY gr:vert
@ 4,79 SAY gr:vert
@ 3,79 SAY gr:vert
@ 2,79 SAY gr:vert
@ 1,79 SAY gr:rtc
@ 8,1 SAY gr:off
RELEASE ALL LIKE gr:*
@ 4,15 SAY "d B A S E  S H O P P E R :  S T O R E  R E M O V A L"
@ 10,10 SAY "This program removes "+TRIM("&mstrname")+" from the list "
@ 11,10 SAY "                  PERMANENTLY "
@ 12,10 SAY "      Do you want to proceed?  <Y>es/<N>o "
SET CONSOLE OFF
WAIT TO ans
SET CONSOLE ON
IF !(ans)#"Y"
  RELEASE ans
  RETURN
ELSE
  @ 15,1
  ??  " Working "
  USE stores
  LOCATE FOR storeno = "&gs"
  DELETE
  PACK
  ?? "."
  STORE "GROCERY&gs"+".DBF" TO gonefile
  DELETE FILE &gonefile
  ?? "."
  STORE "AISLE&gs"+".NDX" TO gonefile
  DELETE FILE &gonefile
  ?? "."
  STORE "ITEM&gs"+".NDX" TO gonefile
  DELETE FILE &gonefile
  ?? "Through "
ENDIF
RETURN
 